#filterRadio {
    min-width: 30px;
  }

#filterRadio input[type="checkbox"]{
    display: none;
    margin-right: 10px;
}

/* Style the label to look like a button */
#filterRadio label {
    display: inline-block;
    width: 30px; /* Adjust width as needed */
    height: 30px; /* Adjust height as needed */
    background-color: #cccccc00; /* Off state background color */
    position: relative;
    cursor: pointer;

}

/* Style the label when the radio button is checked (on state) */
#filterRadio input[type="checkbox"]:checked + label {
    display: inline-block;
    width: 30px; /* Adjust width as needed */
    height: 30px; /* Adjust height as needed */
    background-color: #cccccc00; /* Off state background color */
    position: relative;
    cursor: pointer;
}

/* Style the inner circle (slider) */
#filterRadio label:after {
    content: '';
    position: absolute;
    top: 50%;
    width: 22px; /* Adjust width of the inner circle */
    height: 22px; /* Adjust height of the inner circle */
    background-color: #ffffff;
    border-radius: 3px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    transform: translateX(0%) translateY(-24%);
    box-sizing: border-box;
}

/* Move the inner circle to the right when the radio button is checked */
#filterRadio input[type="checkbox"]:checked + label:after {
    background-color: #6a98ca;
    border: 2px solid rgb(255, 255, 255);
    transform: translateX(0%) translateY(-24%);
}